<bugID>1295521<Summary>Remove `BookmarkSpecialIds` and move sync GUID handling into PlacesSyncUtils</Summary><Description>The conversions back and forth between Places GUIDs and Sync record IDs (which are also Places GUIDs, except for the "special" ones) make it too easy for confused code to pass one where another is expected.

I think PlacesSyncUtils should take over management of these special GUIDs, just like it already manages "kinds" instead of item types.</Description></bugID>